PART
{

// --- general parameters ---
name = SWSLSEUSDecoupler
module = Part
author = TheShadow1138

// --- asset parameters ---
MODEL
{
  model = ShadowWorks/Parts/EUS/EUSDecoupler
}
rescaleFactor = 1.0


// --- node definitions ---
node_stack_top = 0.0, 3.317, 0.0, 0.0, 1.0, 0.0, 4
node_stack_bottom = 0.0, -3.317, 0.0, 0.0, -1.0, 0.0, 4


// --- FX definitions ---

fx_gasBurst_white = 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, activate
sound_vent_large = activate
sound_decoupler_fire = decouple

// --- editor parameters ---
TechRequired = composites
entryCost = 800
cost = 1000
category = Coupling
subcategory = 0
title = EUS 5m Decoupler SW-SD-07
description = A cylindrical stack decoupler for attaching the Exploration Upper Stage (EUS) to the Core Stage of the Amun-Ra launch vehicle.
stageOffset = 1
childStageOffset = 1

// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
attachRules = 1,0,1,1,0

// --- standard part parameters ---
mass = 0.65
dragModelType = default
maximum_drag = 0.2
minimum_drag = 0.2
angularDrag = 0.2
crashTolerance = 48
breakingForce = 80000
breakingTorque = 80000
maxTemp = 3600
fuelCrossFeed = False
tags = decoupler connect couple eus sls amun ra amun-ra shadowworks

MODULE
{
    name = ModuleDecouple
	explosiveNodeID = top
    isOmniDecoupler = false
    ejectionForce = 250
}

MODULE
{
	name = ModulePartVariants
	baseVariant = flightOrange
	baseDisplayName = Orange Decoupler

	VARIANT
	{
		name = flightOrange
		displayName = Orange Decoupler

		primaryColor = #984918
		secondaryColor = #ffffff

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/EUS/EUSColor
		}
	}
	VARIANT
	{
		name = whiteDec
		displayName = White Decoupler

		primaryColor = #ffffff
		secondaryColor = #eeeeee

		TEXTURE
		{
			_MainTex = ShadowWorks/Parts/EUS/EUSColorAlt
		}
	}
}

}
